# Query Interface Server

``query-interface-server`` provides a server implementation for ``query-interface-client``.

## Installation

```
$ gem install query-interface-server
```

```ruby
require 'query-interface-server'
```

or use ``gem 'query-interface-server'`` in your Gemfile when using bundler.

##Examples


### Include QueryInterface in a Controller

```ruby
class UsersController < ApplicationController

  include QueryInterface::Server::Resource.for(User)

end
```

### Add Route for Query

```ruby
MyApplication::Application.routes.draw do

  resources :users, only: [] do
    collection do
      get :query
    end
  end

  #...

end
```
